package com.ss.android.ugc.aweme.landpage;

import X.C4672Lnj;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public final class AdLandPageServiceImpl implements IAdLandPageService {
    static {
        Covode.recordClassIndex(90051);
    }

    public final String LIZ() {
        return "ad_commerce";
    }

    public static IAdLandPageService LIZIZ() {
        MethodCollector.i(15587);
        IAdLandPageService iAdLandPageService = (IAdLandPageService) C4672Lnj.LIZ(IAdLandPageService.class, false);
        if (iAdLandPageService != null) {
            MethodCollector.o(15587);
            return iAdLandPageService;
        }
        Object LIZIZ = C4672Lnj.LIZIZ(IAdLandPageService.class, false);
        if (LIZIZ != null) {
            IAdLandPageService iAdLandPageService2 = (IAdLandPageService) LIZIZ;
            MethodCollector.o(15587);
            return iAdLandPageService2;
        }
        if (C4672Lnj.LLLLLZL == null) {
            synchronized (IAdLandPageService.class) {
                try {
                    if (C4672Lnj.LLLLLZL == null) {
                        C4672Lnj.LLLLLZL = new AdLandPageServiceImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(15587);
                    throw th;
                }
            }
        }
        AdLandPageServiceImpl adLandPageServiceImpl = (AdLandPageServiceImpl) C4672Lnj.LLLLLZL;
        MethodCollector.o(15587);
        return adLandPageServiceImpl;
    }
}
